libnvme(2)

NAME
enum nvme_persistent_event_types - Persistent event log events

SYNOPSIS
enum nvme_persistent_event_types {
NVME_PEL_SMART_HEALTH_EVENT ,
NVME_PEL_FW_COMMIT_EVENT ,
NVME_PEL_TIMESTAMP_EVENT ,
NVME_PEL_POWER_ON_RESET_EVENT ,
NVME_PEL_NSS_HW_ERROR_EVENT ,
NVME_PEL_CHANGE_NS_EVENT ,
NVME_PEL_FORMAT_START_EVENT ,
NVME_PEL_FORMAT_COMPLETION_EVENT ,
NVME_PEL_SANITIZE_START_EVENT ,
NVME_PEL_SANITIZE_COMPLETION_EVENT ,
NVME_PEL_SET_FEATURE_EVENT ,
NVME_PEL_TELEMETRY_CRT ,
NVME_PEL_THERMAL_EXCURSION_EVENT ,
NVME_PEL_SANITIZE_MEDIA_VERIF_EVENT ,
NVME_PEL_VENDOR_SPECIFIC_EVENT ,
NVME_PEL_TCG_DEFINED_EVENT

};

Constants

NVME_PEL_SMART_HEALTH_EVENT
    SMART / Health Log Snapshot Event

NVME_PEL_FW_COMMIT_EVENT
    Firmware Commit Event

NVME_PEL_TIMESTAMP_EVENT
    Timestamp Change Event

NVME_PEL_POWER_ON_RESET_EVENT
    Power-on or Reset Event

NVME_PEL_NSS_HW_ERROR_EVENT
    NVM Subsystem Hardware Error Event

NVME_PEL_CHANGE_NS_EVENT
    Change Namespace Event

NVME_PEL_FORMAT_START_EVENT
    Format NVM Start Event

NVME_PEL_FORMAT_COMPLETION_EVENT
    Format NVM Completion Event

NVME_PEL_SANITIZE_START_EVENT
    Sanitize Start Event

NVME_PEL_SANITIZE_COMPLETION_EVENT
    Sanitize Completion Event

NVME_PEL_SET_FEATURE_EVENT
    Set Feature Event

NVME_PEL_TELEMETRY_CRT
    Telemetry Log Create Event

NVME_PEL_THERMAL_EXCURSION_EVENT
    Thermal Excursion Event

NVME_PEL_SANITIZE_MEDIA_VERIF_EVENT
    Sanitize Media Verification Event

NVME_PEL_VENDOR_SPECIFIC_EVENT
    Vendor Specific Event

NVME_PEL_TCG_DEFINED_EVENT
    TCG Defined Event